Package org.wso2.carbon.rest.api.ui.client

# Class TestClient

java.lang.Object
org.wso2.carbon.rest.api.ui.client.TestClient

public class TestClient extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_FOR_API_CONTEXT`
  `static final String`
  `KEY_FOR_API_NAME`
  `static final String`
  `KEY_FOR_HANDLER`
  `static final String`
  `KEY_FOR_RESOURCE_METHODS`
  `static final String`
  `KEY_FOR_RESOURCE_URI`
  `static final String`
  `KEY_FOR_RESOURCE_URI_TEMPLATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestClient(Map apiMappings, List<Map> resourceMappings, List<Map> handlerMappings, String cookie)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addApi()`
  `static org.apache.axiom.om.OMElement`
  `createOMElementFrom(String omString)`
  `static void`
  `main(String[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### KEY_FOR_API_NAME

    public static final String KEY_FOR_API_NAME
    See Also:
      - Constant Field Values

  - ### KEY_FOR_API_CONTEXT

    public static final String KEY_FOR_API_CONTEXT
    See Also:
      - Constant Field Values

  - ### KEY_FOR_RESOURCE_URI_TEMPLATE

    public static final String KEY_FOR_RESOURCE_URI_TEMPLATE
    See Also:
      - Constant Field Values

  - ### KEY_FOR_RESOURCE_METHODS

    public static final String KEY_FOR_RESOURCE_METHODS
    See Also:
      - Constant Field Values

  - ### KEY_FOR_RESOURCE_URI

    public static final String KEY_FOR_RESOURCE_URI
    See Also:
      - Constant Field Values

  - ### KEY_FOR_HANDLER

    public static final String KEY_FOR_HANDLER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TestClient

    public TestClient(Map apiMappings, List<Map> resourceMappings, List<Map> handlerMappings, String cookie) throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

- ## Method Details

  - ### addApi

    public void addApi() throws org.apache.axis2.AxisFault
    Throws:
      `org.apache.axis2.AxisFault`

  - ### createOMElementFrom

    public static org.apache.axiom.om.OMElement createOMElementFrom(String omString)

  - ### main

    public static void main(String[] args) throws Exception
    Throws:
      `Exception`